## ros-dashing-ecl-geometry 1.0.4

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 3.5)
project(ecl_geometry)

##############################################################################
# Find Packages
##############################################################################

find_package(ament_cmake_ros REQUIRED)
find_package(ecl_build REQUIRED)
find_package(ecl_config REQUIRED)
find_package(ecl_containers REQUIRED)
find_package(ecl_exceptions REQUIRED)
find_package(ecl_formatters REQUIRED)
find_package(ecl_linear_algebra REQUIRED)
find_package(ecl_math REQUIRED)
find_package(ecl_mpl REQUIRED)
find_package(ecl_type_traits REQUIRED)

##############################################################################
# Project Configuration
##############################################################################

ament_package_xml()
ecl_enable_cxx14_compiler()
ecl_enable_cxx_warnings()

##############################################################################
# Sources
##############################################################################

add_subdirectory(include)
add_subdirectory(src)

##############################################################################
# Exports
##############################################################################

ament_export_interfaces(HAS_LIBRARY_TARGET ${PROJECT_NAME})
ament_export_dependencies(
    ecl_config
    ecl_containers
    ecl_exceptions
    ecl_formatters
    ecl_linear_algebra
    ecl_math
    ecl_mpl
    ecl_type_traits
)
ament_package()

=== src/test/CMakeLists.txt ===
###############################################################################
# GTest setup
###############################################################################

macro(ecl_geometry_add_gtest TESTNAME)
  ament_add_gtest(ecl_test_${TESTNAME} ${TESTNAME}.cpp)
  if(TARGET ecl_test_${TESTNAME})
    target_link_libraries(
      ecl_test_${TESTNAME}
        ${PROJECT_NAME}
        ecl_config::ecl_config
        ecl_containers::ecl_containers
        ecl_exceptions::ecl_exceptions
        ecl_formatters::ecl_formatters
        ecl_linear_algebra::ecl_linear_algebra
        ecl_math::ecl_math
        ecl_mpl::ecl_mpl
        ecl_type_traits::ecl_type_traits
    )
  endif()
endmacro(ecl_geometry_add_gtest)

###############################################################################
# GTests
###############################################################################

ecl_geometry_add_gtest(angles)
ecl_geometry_add_gtest(cartesian_points)
ecl_geometry_add_gtest(cubic_splines)
ecl_geometry_add_gtest(homogeneous_points)
ecl_geometry_add_gtest(linear_segment)
ecl_geometry_add_gtest(polynomials)
ecl_geometry_add_gtest(legacy_pose2d)
ecl_geometry_add_gtest(legacy_pose3d)
ecl_geometry_add_gtest(smooth_linear_splines)
ecl_geometry_add_gtest(tension_function)
ecl_geometry_add_gtest(tension_splines)
ecl_geometry_add_gtest(odometry_helper)

=== include/ecl/geometry/CMakeLists.txt ===
###############################################################################
# FILES
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
  
install(FILES ${HEADERS} DESTINATION include/ecl/geometry)

=== debian/control ===
Source: ros-dashing-ecl-geometry
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake-gtest, ros-dashing-ament-cmake-ros, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-ecl-build, ros-dashing-ecl-config, ros-dashing-ecl-containers, ros-dashing-ecl-exceptions, ros-dashing-ecl-formatters, ros-dashing-ecl-license, ros-dashing-ecl-linear-algebra, ros-dashing-ecl-math, ros-dashing-ecl-mpl, ros-dashing-ecl-type-traits, ros-dashing-ros-workspace
Homepage: http://wiki.ros.org/ecl_geometry
Standards-Version: 3.9.2

Package: ros-dashing-ecl-geometry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-ecl-build, ros-dashing-ecl-config, ros-dashing-ecl-containers, ros-dashing-ecl-exceptions, ros-dashing-ecl-formatters, ros-dashing-ecl-license, ros-dashing-ecl-linear-algebra, ros-dashing-ecl-math, ros-dashing-ecl-mpl, ros-dashing-ecl-type-traits, ros-dashing-ros-workspace
Description: Any tools relating to mathematical geometry.
 Primarily featuring polynomials and interpolations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-ecl-geometry//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
